import * as React from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
export var EasyAntdModalContext = /*#__PURE__*/React.createContext({
  triggerProps: 'trigger',
  contentProps: 'children'
});
export var useEasyAntdModalContext = function useEasyAntdModalContext() {
  return React.useContext(EasyAntdModalContext);
};
export var EasyAntdModalProvider = function EasyAntdModalProvider(props) {
  var _useEasyAntdModalCont = useEasyAntdModalContext(),
    _useEasyAntdModalCont2 = _useEasyAntdModalCont.triggerProps,
    parentTriggerProps = _useEasyAntdModalCont2 === void 0 ? 'trigger' : _useEasyAntdModalCont2,
    _useEasyAntdModalCont3 = _useEasyAntdModalCont.contentProps,
    parentContentProps = _useEasyAntdModalCont3 === void 0 ? 'children' : _useEasyAntdModalCont3;
  var children = props.children,
    _props$triggerProps = props.triggerProps,
    triggerProps = _props$triggerProps === void 0 ? parentTriggerProps : _props$triggerProps,
    _props$contentProps = props.contentProps,
    contentProps = _props$contentProps === void 0 ? parentContentProps : _props$contentProps;
  if (triggerProps === contentProps) {
    throw new Error("\"triggerProps\" and \"contentProps\" cannot be the same");
  }
  var memoizedContextValue = React.useMemo(function () {
    return {
      triggerProps: triggerProps,
      contentProps: contentProps
    };
  }, [triggerProps, contentProps]);
  return /*#__PURE__*/_jsx(EasyAntdModalContext.Provider, {
    value: memoizedContextValue,
    children: children
  });
};